package fr.eni.enchere.bll;

import fr.eni.enchere.bo.Article;
import fr.eni.enchere.bo.SearchArticleCritere;

import java.util.List;

public interface ArticleService {

    List<Article> findAllArticle();
    Article findArticleById(int id);
    void saveArticle(Article article);
    void deleteArticle(int id);
    void updateArticle(int id);
    List<Article> findArticleByTitle(String title);
    List<Article> searchArticle(SearchArticleCritere critere);
}
